//by JuSNS v1.0系列
//官方站：www.juSNS.com，演示站:www.ju001.com，www.julala.cn
//QQ:655071(技术)，QQ:9170617（客服）
//MSN:simplt@163.com EMail:simplt@163.com
//program design by Simplt.Xie，arjun
//========================================
using System;
using System.Collections.Generic;
using System.Text;

namespace JuSNS.Model
{
    public class PrivacyInfo
    {
        private int _UserID;
        private EnumPrivacy _PrivSpace;
        private EnumPrivacy _PrivFavourite;
        private EnumPrivacy _PriveDucate;
        private EnumPrivacy _PrivLasso;
        private EnumPrivacy _PrivFriends;
        private EnumPrivacy _PrivLeaveWord;
        private EnumPrivacy _PrivMiniBlog;
        private EnumPrivacy _PrivShare;
        private EnumPrivacy _PrivGroup;
        private EnumPrivacy _PrivMovies;
        private bool _ActUpdateData;
        private bool _ActAddFriend;
        private bool _ActLeaveWord;
        private bool _ActPicComment;
        private bool _ActSecede;
        private bool _ActDeliver;
        private bool _ActLogComment;
        private bool _ActMovieComment;
        private bool _ActPhotoLasso;
        private bool _ActShareComment;
        private DateTime _LastPostTime;
        private string _LastPostIP;
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserID
        {
            get { return _UserID; }
            set { _UserID = value; }
        }
        /// <summary>
        /// 空间隐私
        /// </summary>
        public EnumPrivacy PrivacySpace
        {
            get
            {
                return _PrivSpace;
            }
            set
            {
                _PrivSpace = value;
            }
        }

        /// <summary>
        /// 收藏夹隐私
        /// </summary>
        public EnumPrivacy PrivacyFavourite
        {
            get
            {
                return _PrivFavourite;
            }
            set
            {
                _PrivFavourite = value;
            }
        }
        /// <summary>
        /// 教育隐私
        /// </summary>
        public EnumPrivacy PrivacyEducate
        {
            get
            {
                return _PriveDucate;
            }
            set
            {
                _PriveDucate = value;
            }
        }

        /// <summary>
        /// 圈圈隐私
        /// </summary>
        public EnumPrivacy PrivacyLasso
        {
            get
            {
                return _PrivLasso;
            }
            set
            {
                _PrivLasso = value;
            }
        }

        /// <summary>
        /// 朋友隐私
        /// </summary>
        public EnumPrivacy PrivacyFriends
        {
            get
            {
                return _PrivFriends;
            }
            set
            {
                _PrivFriends = value;
            }
        }

        /// <summary>
        /// 忘记密码隐私
        /// </summary>
        public EnumPrivacy PrivacyLeaveWord
        {
            get
            {
                return _PrivLeaveWord;
            }
            set
            {
                _PrivLeaveWord = value;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public EnumPrivacy PrivacyMiniBlog
        {
            get
            {
                return _PrivMiniBlog;
            }
            set
            {
                _PrivMiniBlog = value;
            }
        }

        /// <summary>
        /// 分享隐私
        /// </summary>
        public EnumPrivacy PrivacyShare
        {
            get
            {
                return _PrivShare;
            }
            set
            {
                _PrivShare = value;
            }
        }

        /// <summary>
        /// 群组隐私
        /// </summary>
        public EnumPrivacy PrivacyGroup
        {
            get
            {
                return _PrivGroup;
            }
            set
            {
                _PrivGroup = value;
            }
        }

        /// <summary>
        /// 电影隐私
        /// </summary>
        public EnumPrivacy PrivacyMovies
        {
            get
            {
                return _PrivMovies;
            }
            set
            {
                _PrivMovies = value;
            }
        }
        /// <summary>
        /// 上传数据隐私
        /// </summary>
        public bool ActUpdateData
        {
            get
            {
                return _ActUpdateData;
            }
            set
            {
                _ActUpdateData = value;
            }
        }

        /// <summary>
        /// 添加朋友隐私
        /// </summary>
        public bool ActAddFriend
        {
            get
            {
                return _ActAddFriend;
            }
            set
            {
                _ActAddFriend = value;
            }
        }

        /// <summary>
        /// 忘记密码隐私
        /// </summary>
        public bool ActLeaveWord
        {
            get
            {
                return _ActLeaveWord;
            }
            set
            {
                _ActLeaveWord = value;
            }
        }

        /// <summary>
        /// 评论照片隐私
        /// </summary>
        public bool ActPicComment
        {
            get
            {
                return _ActPicComment;
            }
            set
            {
                _ActPicComment = value;
            }
        }

        /// <summary>
        /// 退出群隐私
        /// </summary>
        public bool ActSecede
        {
            get
            {
                return _ActSecede;
            }
            set
            {
                _ActSecede = value;
            }
        }

        /// <summary>
        /// 发表主题隐私
        /// </summary>
        public bool ActDeliver
        {
            get
            {
                return _ActDeliver;
            }
            set
            {
                _ActDeliver = value;
            }
        }

        /// <summary>
        /// 日志评论隐私
        /// </summary>
        public bool ActLogComment
        {
            get
            {
                return _ActLogComment;
            }
            set
            {
                _ActLogComment = value;
            }
        }

        /// <summary>
        /// 电影评论隐私
        /// </summary>
        public bool ActMovieComment
        {
            get
            {
                return _ActMovieComment;
            }
            set
            {
                _ActMovieComment = value;
            }
        }

        /// <summary>
        /// 照片圈圈隐私
        /// </summary>
        public bool ActPhotoLasso
        {
            get
            {
                return _ActPhotoLasso;
            }
            set
            {
                _ActPhotoLasso = value;
            }
        }

        /// <summary>
        /// 分享评论隐私
        /// </summary>
        public bool ActShareComment
        {
            get
            {
                return _ActShareComment;
            }
            set
            {
                _ActShareComment = value;
            }
        }


        /// <summary>
        /// 最后提交时间隐私
        /// </summary>
        public DateTime LastPostTime
        {
            get
            {
                return _LastPostTime;
            }
            set
            {
                _LastPostTime = value;
            }
        }


        /// <summary>
        /// 最后登陆IP隐私
        /// </summary>
        public string LastPostIP
        {
            get
            {
                return _LastPostIP;
            }
            set
            {
                _LastPostIP = value;
            }
        }
    }
}
